For the complete documentation index, see llms.txt. This page is also available as Markdown.

Country

The Country API endpoints allow fetching supported countries and their allowed currencies, payment methods and shipping methods from a store.

Gets all the Countries in a Store

get
Query parameters
LanguageIsoCodestringOptional
filterstringOptional

Filter the returned list of items

Example: {"value":" "}
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"35f0ddcb-3fdf-47a5-97aa-e71713a5243f"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: c6d81985-ae49-4bf6-b0ef-a08762b2e5e7
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"f298a21c-0cbb-433a-aa9e-48ead7625cfd"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"bf5076f8-2ba2-4347-b33a-cae7810aa046"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"15c85dbf-200c-4ca9-981c-a4b588e7b351"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"d90850da-1664-49bd-826d-710100b9995e"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"bb133cd8-36af-4ac2-84a0-cb92ac7886e5"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"8b7dae01-1c1c-41e3-b245-1ff3b3b0ed62"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_bb22aa9f-862d-4474-865a-ccf3c869c16e
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/countries
GET /umbraco/commerce/storefront/api/v1/countries HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "defaultCurrency": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "culture": "text",
      "symbol": "text",
      "decimalPlaces": 1,
      "decimalSeparator": "text",
      "groupSeparator": "text",
      "formatTemplate": "text",
      "allowedCountries": [
        {
          "country": "[Circular Reference]"
        }
      ]
    },
    "defaultPaymentMethod": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "sku": "text",
      "taxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "paymentProviderAlias": "text",
      "imageUrl": "text"
    },
    "defaultShippingMethod": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "sku": "text",
      "taxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "imageUrl": "text"
    },
    "regions": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "alias": "text",
          "name": "text",
          "defaultCountry": "[Circular Reference]",
          "defaultTaxClass": "[Circular Reference]",
          "baseCurrency": "[Circular Reference]",
          "pricesIncludeTax": true
        },
        "country": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "code": "text",
          "name": "text",
          "store": "[Circular Reference]",
          "defaultCurrency": "[Circular Reference]",
          "defaultPaymentMethod": "[Circular Reference]",
          "defaultShippingMethod": "[Circular Reference]",
          "regions": "[Circular Reference]"
        },
        "defaultPaymentMethod": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "alias": "text",
          "name": "text",
          "store": "[Circular Reference]",
          "sku": "text",
          "taxClass": "[Circular Reference]",
          "paymentProviderAlias": "text",
          "imageUrl": "text"
        },
        "defaultShippingMethod": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "alias": "text",
          "name": "text",
          "store": "[Circular Reference]",
          "sku": "text",
          "taxClass": "[Circular Reference]",
          "imageUrl": "text"
        }
      }
    ]
  }
]

Gets a Country by ID or Alias

get
Path parameters
idOrAliasone ofRequired

The ID or the alias of the given resource

Example: {"value":"d3c9d1fb-6cdd-4438-8700-8e7ea9686281"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"f493cfe1-c9fd-4d88-90c5-5faee179b1a3"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: af3bdd29-55fb-4c10-9cb3-94200d45a421
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"f6486c0b-65d3-4bc4-97b0-ae0ddcd2172f"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"6efdd905-da95-48be-b6c6-0efbd0cd7a35"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"3947afc5-b854-470c-8c7b-108295cca9c2"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"eacd9832-1618-4fd7-8a2d-63cc0c52cc03"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"4ae1a88c-d628-42bc-be77-185e739de1c0"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"093ac173-15c3-48d6-8115-921acb406165"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_50614798-6712-4de6-807d-86c94c920fdb
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{idOrAlias}
GET /umbraco/commerce/storefront/api/v1/country/{idOrAlias} HTTP/1.1
Api-Key: text
Store: text
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "code": "text",
  "name": "text",
  "store": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "defaultCountry": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text",
      "name": "text",
      "store": "[Circular Reference]",
      "defaultCurrency": "[Circular Reference]",
      "defaultPaymentMethod": "[Circular Reference]",
      "defaultShippingMethod": "[Circular Reference]",
      "regions": "[Circular Reference]"
    },
    "defaultTaxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": "[Circular Reference]",
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": "[Circular Reference]"
    },
    "baseCurrency": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text",
      "name": "text",
      "store": "[Circular Reference]",
      "culture": "text",
      "symbol": "text",
      "decimalPlaces": 1,
      "decimalSeparator": "text",
      "groupSeparator": "text",
      "formatTemplate": "text",
      "allowedCountries": "[Circular Reference]"
    },
    "pricesIncludeTax": true
  },
  "defaultCurrency": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": "[Circular Reference]",
      "defaultTaxClass": "[Circular Reference]",
      "baseCurrency": "[Circular Reference]",
      "pricesIncludeTax": true
    },
    "culture": "text",
    "symbol": "text",
    "decimalPlaces": 1,
    "decimalSeparator": "text",
    "groupSeparator": "text",
    "formatTemplate": "text",
    "allowedCountries": [
      {
        "country": "[Circular Reference]"
      }
    ]
  },
  "defaultPaymentMethod": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": "[Circular Reference]",
      "defaultTaxClass": "[Circular Reference]",
      "baseCurrency": "[Circular Reference]",
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": "[Circular Reference]",
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": "[Circular Reference]"
    },
    "paymentProviderAlias": "text",
    "imageUrl": "text"
  },
  "defaultShippingMethod": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": "[Circular Reference]",
      "defaultTaxClass": "[Circular Reference]",
      "baseCurrency": "[Circular Reference]",
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": "[Circular Reference]",
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": "[Circular Reference]"
    },
    "imageUrl": "text"
  },
  "regions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "code": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "country": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultPaymentMethod": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "sku": "text",
        "taxClass": "[Circular Reference]",
        "paymentProviderAlias": "text",
        "imageUrl": "text"
      },
      "defaultShippingMethod": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "sku": "text",
        "taxClass": "[Circular Reference]",
        "imageUrl": "text"
      }
    }
  ]
}
Deprecated

Gets the Currencies allowed in a Country

get
Path parameters
idOrAliasone ofRequired

The ID or the alias of the given resource

Example: {"value":"ecbb63d5-3904-49b5-b5b3-6644383e3375"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"b5c11102-9930-4be8-b91f-358519b84064"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: 39d2b1d8-b389-487a-bbdd-80b7a1e66482
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"a0726142-f854-470f-8c32-8b348795c692"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"9b01a8e2-a29e-45d4-a8ac-6c017991d131"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"b5ea9291-d70d-4bbb-869b-59a2e3190c3b"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"736b677b-446b-4dec-8f4d-867255b0ab21"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"88ae3947-ca0b-45bc-86bb-117d3a93aa5c"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"e3ed4d92-c44b-4b0b-8285-93492cbccf59"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_ace51d82-f47f-44d6-b0fc-10e4e0b7a17d
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{idOrAlias}/currencies
GET /umbraco/commerce/storefront/api/v1/country/{idOrAlias}/currencies HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "code": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "culture": "text",
    "symbol": "text",
    "decimalPlaces": 1,
    "decimalSeparator": "text",
    "groupSeparator": "text",
    "formatTemplate": "text",
    "allowedCountries": [
      {
        "country": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "code": "text",
          "name": "text",
          "store": "[Circular Reference]",
          "defaultCurrency": "[Circular Reference]",
          "defaultPaymentMethod": "[Circular Reference]",
          "defaultShippingMethod": "[Circular Reference]",
          "regions": "[Circular Reference]"
        }
      }
    ]
  }
]
Deprecated

Gets the Payment Methods allowed in a Country

get
Path parameters
idOrAliasone ofRequired

The ID or the alias of the given resource

Example: {"value":"ca54877f-7936-4fcd-ac92-cf92c7868549"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"0cb9830b-8d32-4f54-9d40-9c5975f39f02"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: 30609367-ed31-4c92-b2d2-8f18637f3537
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"55328b9c-c97e-4b84-9c95-782e4971099e"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"7487d3c0-a170-4d8b-8783-9a98777c4c46"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"014d257e-7f54-4b81-9307-3d8895eb7eac"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"ee7fb2aa-7f0a-42d6-9b4e-ffc4d5aa3ee5"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"76641ac1-ee78-4b71-9aae-5e93711446b4"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"075d035f-cb92-4125-8dff-63556f172829"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_47951dca-f564-4a4c-8464-16da4c099589
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{idOrAlias}/paymentmethods
GET /umbraco/commerce/storefront/api/v1/country/{idOrAlias}/paymentmethods HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": [
        {
          "store": "[Circular Reference]",
          "country": "[Circular Reference]",
          "region": "[Circular Reference]",
          "taxRate": 1,
          "taxCode": "text"
        }
      ]
    },
    "paymentProviderAlias": "text",
    "imageUrl": "text"
  }
]
Deprecated

Gets the Shipping Methods allowed in a Country

get
Path parameters
idOrAliasone ofRequired

The ID or the alias of the given resource

Example: {"value":"8c053646-7805-4a9e-a217-2eef90330a0b"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"38c48fc6-8929-4dd6-bbbb-133ca9cdd871"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: 9254fd38-0fe0-488f-9a07-285014044329
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"75b94aeb-e0f5-4341-b6c6-8a2e6daf3daf"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"f2668edc-ca71-44aa-ad44-866f43328ec5"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"0be9b7e8-7692-48c9-a700-29a27e8ce69c"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"ead01bf6-bc8a-43f8-b3bc-654ac4ca1111"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"156b29fc-6f7e-4d62-85a8-70dff977993a"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"502ea25d-af9c-4056-9b25-8a3bec9b509b"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_9ad9508b-2ffe-4e68-b4bc-cf609cf5ee43
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{idOrAlias}/shippingmethods
GET /umbraco/commerce/storefront/api/v1/country/{idOrAlias}/shippingmethods HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": [
        {
          "store": "[Circular Reference]",
          "country": "[Circular Reference]",
          "region": "[Circular Reference]",
          "taxRate": 1,
          "taxCode": "text"
        }
      ]
    },
    "imageUrl": "text"
  }
]
Deprecated

Gets the Payment Methods allowed in a Region

get
Path parameters
countryIdOrAliasone ofRequired

The ID or the alias of the country resource

Example: {"value":"d33bce89-6bf6-4798-8a9a-065f1916c532"}
stringOptional
regionIdOrAliasone ofRequired

The ID or the alias of the region resource

Example: {"value":"39651e0f-ae8c-457f-81ec-066d5ba89f53"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"e39b56d1-fffa-47aa-b877-a0933b0564a0"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: 5a8ac4c6-82de-492f-b910-12c7aee2111c
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"2c0ab950-a40f-469b-8acc-467b8d487602"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"2a0e08b2-b63e-4753-9e97-56347c453e36"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"f4226516-b4df-4d66-988b-2153a89165f4"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"1c82719c-3dbf-451e-afbb-8cd2edfb742e"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"467a204d-7693-43fe-839e-4e298c1f2f41"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"c7b82ff6-6e99-450a-9d31-b236f5b12177"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_fef089d5-5c6f-4b7e-b5f5-eecc01261f94
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{countryIdOrAlias}/region/{regionIdOrAlias}/paymentmethods
GET /umbraco/commerce/storefront/api/v1/country/{countryIdOrAlias}/region/{regionIdOrAlias}/paymentmethods HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": [
        {
          "store": "[Circular Reference]",
          "country": "[Circular Reference]",
          "region": "[Circular Reference]",
          "taxRate": 1,
          "taxCode": "text"
        }
      ]
    },
    "paymentProviderAlias": "text",
    "imageUrl": "text"
  }
]
Deprecated

Gets the Payment Methods allowed in a Region

get
Path parameters
countryIdOrAliasone ofRequired

The ID or the alias of the country resource

Example: {"value":"d33bce89-6bf6-4798-8a9a-065f1916c532"}
stringOptional
regionIdOrAliasone ofRequired

The ID or the alias of the region resource

Example: {"value":"39651e0f-ae8c-457f-81ec-066d5ba89f53"}
stringOptional
Query parameters
LanguageIsoCodestringOptional
fieldsstringOptional

Limit the properties returned in the response

Example: {"value":" "}
expandstringOptional

Defines the properties that should be expanded in the response

Example: {"value":" "}
Header parameters
Api-KeystringRequired

API key specified through configuration to authorize access to the API.

StorestringRequired

The ID or the alias of the store

Example: {"value":"e39b56d1-fffa-47aa-b877-a0933b0564a0"}
Current-OrderstringOptional

The ID of the current order associated with the current session

Example: 5a8ac4c6-82de-492f-b910-12c7aee2111c
Billing-CountrystringOptional

The ID or alias of the session default billing country

Example: {"value":"2c0ab950-a40f-469b-8acc-467b8d487602"}
Billing-RegionstringOptional

The ID or alias of the session default billing region

Example: {"value":"2a0e08b2-b63e-4753-9e97-56347c453e36"}
Shipping-CountrystringOptional

The ID or alias of the session default shipping country

Example: {"value":"f4226516-b4df-4d66-988b-2153a89165f4"}
Shipping-RegionstringOptional

The ID or alias of the session default shipping region

Example: {"value":"1c82719c-3dbf-451e-afbb-8cd2edfb742e"}
Tax-ClassstringOptional

The ID or alias of the session default tax class

Example: {"value":"467a204d-7693-43fe-839e-4e298c1f2f41"}
CurrencystringOptional

The ID or alias of the session currency

Example: {"value":"c7b82ff6-6e99-450a-9d31-b236f5b12177"}
Accept-LanguagestringOptional

The ISO culture code of the current session culture

Example: en-US
Customer-ReferencestringOptional

The unique reference for the customer associated with the current session

Example: cust_fef089d5-5c6f-4b7e-b5f5-eecc01261f94
Responses
200

OK

application/json
get/umbraco/commerce/storefront/api/v1/country/{countryIdOrAlias}/region/{regionIdOrAlias}/paymentmethods
GET /umbraco/commerce/storefront/api/v1/country/{countryIdOrAlias}/region/{regionIdOrAlias}/paymentmethods HTTP/1.1
Api-Key: text
Store: text
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "alias": "text",
    "name": "text",
    "store": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "defaultCountry": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultCurrency": "[Circular Reference]",
        "defaultPaymentMethod": "[Circular Reference]",
        "defaultShippingMethod": "[Circular Reference]",
        "regions": "[Circular Reference]"
      },
      "defaultTaxClass": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "defaultTaxRate": 1,
        "defaultTaxCode": "text",
        "taxRate": 1,
        "taxCode": "text",
        "countryRegionTaxClasses": "[Circular Reference]"
      },
      "baseCurrency": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "code": "text",
        "name": "text",
        "store": "[Circular Reference]",
        "culture": "text",
        "symbol": "text",
        "decimalPlaces": 1,
        "decimalSeparator": "text",
        "groupSeparator": "text",
        "formatTemplate": "text",
        "allowedCountries": "[Circular Reference]"
      },
      "pricesIncludeTax": true
    },
    "sku": "text",
    "taxClass": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "alias": "text",
      "name": "text",
      "store": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "alias": "text",
        "name": "text",
        "defaultCountry": "[Circular Reference]",
        "defaultTaxClass": "[Circular Reference]",
        "baseCurrency": "[Circular Reference]",
        "pricesIncludeTax": true
      },
      "defaultTaxRate": 1,
      "defaultTaxCode": "text",
      "taxRate": 1,
      "taxCode": "text",
      "countryRegionTaxClasses": [
        {
          "store": "[Circular Reference]",
          "country": "[Circular Reference]",
          "region": "[Circular Reference]",
          "taxRate": 1,
          "taxCode": "text"
        }
      ]
    },
    "paymentProviderAlias": "text",
    "imageUrl": "text"
  }
]

Last updated

Was this helpful?